<?php   
/**
 * Block Patterns
 *
 * @package Event Managerial Service
 * @since 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since 1.0
 *
 * @return void
 */
function event_managerial_service_register_block_patterns() {
	$block_pattern_categories = array(
		'event-managerial-service' => array( 'label' => esc_html__( 'Event Managerial Service Patterns', 'event-managerial-service' ) ),
		'pages'    => array( 'label' => esc_html__( 'Pages', 'event-managerial-service' ) ),
	);

	$block_pattern_categories = apply_filters( 'event_managerial_service_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}

	$block_patterns = array(
		'header-default',
		'banner-section',
		'services-section',
		'post-one-column',
		'post-two-column',
		'inner-banner',
		'search-banner',
		'hidden-404',
		'sidebar',
		'footer-default',
	);

	$block_patterns = apply_filters( 'event_managerial_service_block_patterns', $block_patterns );

	foreach ( $block_patterns as $block_pattern ) {
		$pattern_file = get_parent_theme_file_path( '/inc/patterns/' . $block_pattern . '.php' );

		register_block_pattern(
			'event-managerial-service/' . $block_pattern,
			require $pattern_file
		);
	}
}
add_action( 'init', 'event_managerial_service_register_block_patterns', 9 );